## dnprogs 2.39.2

=== Makefile ===
# Top level Makefile for DECnet programs

include Makefile.common

#
# PKGNAME determines the .tar.gz file name and also is the directory name
#
PKGNAME=dnprogs
DATE="$(shell date +'%Y%m%d')"

SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
	multinet scripts

all: 	
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

install:
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

dep depend:	
	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done

tags:	
	etags */*.cc */*.c


clean:
	rm -rf debian/tmp
	rm -f debian/files
	rm -f debian/substvars
	rm -f debian/*~
	rm -rf rpmbuild
	rm -rf RPMS
	rm -f .rpm*
	rm -f build
	rm -f core
	@for i in $(SUBDIRS); do make -C $$i $@ ; done

debclean:
	debian/rules clean
#
# Make the distribution tar file
#
dist:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(VERSION).tar.gz -X$(PKGNAME)-$(VERSION)/excludes-dist $(PKGNAME)-$(VERSION)/;
	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi

#
# Make a snapshot release
#
snap:	
	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done	
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi
	if [ ! -d ../$(PKGNAME)-$(DATE) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(DATE); fi
	cd ..; tar -czvhf /var/tmp/$(PKGNAME)-$(DATE).tar.gz -X$(PKGNAME)-$(DATE)/excludes-dist $(PKGNAME)-$(DATE);
	if [ -L ../$(PKGNAME)-$(DATE) ]; then rm ../$(PKGNAME)-$(DATE); fi

#
# Make RPM package for Red Hat systems.
#
rpm:
	rm -rf rpmbuild BUILD RPMS
	make clean
	echo "%_topdir `pwd`" > .rpmmacros
	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
	make prefix=/usr RELEASE=true -j
	make DESTDIR=`pwd`/rpmbuild RELEASE=true install
	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
	make dist
	install -d rpmbuild/etc/rc.d/init.d
	install -d rpmbuild/usr/doc
	rm rpmbuild/usr/share/man/man1/dntype.1
	rm rpmbuild/usr/share/man/man1/dnprint.1
	rm rpmbuild/usr/share/man/man3/dnet_accept.3
	rm rpmbuild/usr/share/man/man3/dnet_reject.3
	rm rpmbuild/usr/share/man/man3/dnet_endnode.3
	rm rpmbuild/usr/share/man/man3/dnet_nextnode.3
	ln -s dncopy.1.gz rpmbuild/usr/share/man/man1/dntype.1.gz
	ln -s dnsubmit.1.gz rpmbuild/usr/share/man/man1/dnprint.1.gz
	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_accept.3.gz
	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_reject.3.gz
	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_endnode.3.gz
	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_nextnode.3.gz
	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
	    -e's/%%VERSION%%/$(VERSION)/g'                              \
	    -e's/%%MAJOR_VERSION%%/$(MAJOR_VERSION)/g'                  \
	    -e's@%%PREFIX%%@/usr@g'                                     \
	    -e's@%%LIBPREFIX%%@/usr@g'                                  \
	    -e's@%%CONFPREFIX%%@/@g'                                    \
	   < rpm.spec >$(PKGNAME).spec
	mkdir -p BUILD RPMS/$(ARCH)
	cp README NEWS Documentation/*.README BUILD
	cp libvaxdata/libvaxdata.pdf BUILD
	rpmbuild -bb --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
	rm -f $(PKGNAME).spec .rpmrc .rpmmacros

#
# Make Debian package.
#
deb:
	rm -f Documentation/*~ Documentation/*.bak
	dpkg-buildpackage -rfakeroot

#
# Dummy rule for sub-directories
#
dummy:


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.

=== apps/Makefile ===
#
# Makefile for Eduardo's & contributed apps
#
include ../Makefile.common
CC        = gcc
INCDIR	  = -I.
LDFLAGS   = 
CFLAGS   += -D_SVID_SOURCE
#------------------------------------------------------------------------------

PROG1OBJS = startnet.o
PROG2OBJS = sethost.o 
PROG4OBJS = dnping.o
PROG5OBJS = ctermd.o
PROG6OBJS = dnmount.o
PROG7OBJS = rmtermd.o

PROG1 = startnet
PROG2 = sethost
PROG4 = dnping
PROG5 = ctermd
PROG6 = dnmount
PROG7 = rmtermd
MANPAGES1 = sethost.1 dnping.1
MANPAGES5 = decnet.conf.5
MANPAGES8 = ctermd.8 rmtermd.8 setether.8

ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
ifeq (/usr/include/linux/dap_fs.h,$(wildcard /usr/include/linux/dap_fs.h))
ALLPROGS += $(PROG6)
MANPAGES8 += dnmount.8
endif

all: $(ALLPROGS)

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG1OBJS) -Wl,-Bstatic $(LIBDNET) -Wl,-Bdynamic

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG2OBJS) $(LIBDNET)

$(PROG3): $(PROG3OBJS)
	$(CC) -o $@ $(CFLAGS) $(PROG3OBJS)

$(PROG4): $(PROG4OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG4OBJS) $(LIBDNET)

$(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

$(PROG6): $(PROG6OBJS) $(DEPLIBDNET)
	$(CC) -o $@ $(CFLAGS) $(PROG6OBJS) $(LIBDNET)

$(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)

dep:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG6) $(PROG7) \
	*.o *.a *.so *~ .depend

install:
	install -d $(prefix)/sbin
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -d $(sysconfprefix)/etc
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG4) $(prefix)/bin
	install -m 0755 $(STRIPBIN) $(PROG5) $(prefix)/sbin
	install -m 0700 setether.sh $(prefix)/sbin/setether
	if [ -f $(PROG6) ]; then install -m 0750 $(STRIPBIN) $(PROG6) $(prefix)/sbin; fi
	install -m 0755 $(STRIPBIN) $(PROG7) $(prefix)/sbin
	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8
	if [ ! -f $(sysconfprefix)/etc/decnet.conf ]; then \
		install -m 0644 decnet.conf $(sysconfprefix)/etc/decnet.conf.sample; \
	fi

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dapfs/Makefile ===
# Makefile for dapfs

include ../Makefile.common

PROG1=dapfs

MANPAGES=dapfs.1

PROG1OBJS=dapfs.o dapfs_dap.o filenames.o

all: $(PROG1)

CFLAGS=-g -I../include

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	g++ -o$(PROG1) $(PROG1OBJS) -lrms -lfuse

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dndel/Makefile ===
# Makefile for dndel

include ../Makefile.common

PROG1=dndel

MANPAGES=dndel.1

PROG1OBJS=dndel.o

all: $(PROG1)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/Makefile ===
include ../Makefile.common

DNROUTE=dnroute

CFLAGS	+= -Inetlink/include

all: $(DNROUTE)

$(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c hash.c netlink/libnetlink.a
	$(CC) $(CFLAGS) -o $@ $^ -L../libdnet -Lnetlink -ldnet -lnetlink

netlink/libnetlink.a:
	$(MAKE) -C netlink

install:
	install -d $(prefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) dnroute $(prefix)/sbin
	install -m 0755 dnetinfo.sh $(prefix)/sbin/dnetinfo
	install -m 0644 dnroute.8 $(manprefix)/man/man8
	install -m 0644 dnetinfo.8 $(manprefix)/man/man8

clean:
	rm -f $(DNROUTE) *~ *.o netlink/*.o netlink/*.a

=== dnsubmit/Makefile ===
# Makefile for dnsubmit

include ../Makefile.common

PROG1=dnsubmit
PROG2=dnprint

MANPAGES=dnsubmit.1

PROG1OBJS=dnsubmit.o

all: $(PROG1) $(PROG2)

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	$(CXX) -o $@ $(PROG1OBJS) $(LIBS)

$(PROG2): $(PROG1)
	ln -sf $< $@

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	ln -sf $(PROG1) $(prefix)/bin/$(PROG2)
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1
	ln -sf $(PROG1).1 $(manprefix)/man/man1/$(PROG2).1


dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG2) $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdaemon/Makefile ===
include ../Makefile.common

LIBOBJS=dnet_daemon.o dnetlog.o
PICOBJS=dnet_daemon.po dnetlog.po
MANPAGES3=dnet_daemon.3

LIBNAME=libdnet_daemon

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a


all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CC) $(CFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $(LIBCRYPT) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* .depend

install:
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so
	install -d $(manprefix)/man/man3
	install -m 0644 $(MANPAGES3) $(manprefix)/man/man3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_accept.3
	ln -sf dnet_daemon.3 $(manprefix)/man/man3/dnet_reject.3

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdap/Makefile ===
include ../Makefile.common

LIBOBJS=connection.o protocol.o vaxcrc.o logging.o
PICOBJS=connection.po protocol.po vaxcrc.po logging.po

LIBNAME=libdap

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a

CXXFLAGS+=-Wno-format-y2k

all: $(STATICLIB) $(SHAREDLIB)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.cc.o:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.cc.po:
	$(CXX) $(CXXFLAGS) $(SYSCONF_PREFIX) -fPIC -c -o $@ $<

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak .depend $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so*

install:
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== libdnet/Makefile ===
#--------------------------------------------------------------------------
# Makefile for libdnet
#--------------------------------------------------------------------------
include ../Makefile.common
CC=gcc
LDFLAGS=-O
AR=ar
ARFLAGS=rcs
MANPAGES3=dnet_htoa.3 dnet_ntoa.3 dnet_addr.3 dnet_conn.3 \
	getnodeadd.3 getnodebyname.3 setnodeent.3 libdnet.3 \
	getnodebyaddr.3 dnet_getnode.3 dnet_eof.3
LIBOBJS :=dnet_htoa.o dnet_ntoa.o dnet_addr.o dnet_conn.o getnodeadd.o \
	getnodebyname.o getnodebyaddr.o setnodeent.o getexecdev.o \
	getnodename.o setnodename.o dnet_getnode.o dnet_pton.o dnet_ntop.o \
	dnet_recv.o dnet_eof.o
PICOBJS:=dnet_htoa.po dnet_ntoa.po dnet_addr.po dnet_conn.po getnodeadd.po \
	getnodebyname.po getnodebyaddr.po setnodeent.po getexecdev.po \
	getnodename.po setnodename.po dnet_getnode.po dnet_pton.po dnet_ntop.po\
	dnet_recv.po dnet_eof.po

LIBNAME=libdnet
SHAREDLIB=$(LIBNAME).so.$(VERSION)

all:  libdnet.a $(SHAREDLIB)

dep:

libdnet.a: ${LIBOBJS} 
	${AR} ${ARFLAGS} libdnet.a ${LIBOBJS}
  
$(SHAREDLIB): ${PICOBJS}
	${CC} ${LDFLAGS} -shared -o $@ ${PICOBJS} -Wl,-soname=libdnet.so.$(MAJOR_VERSION)
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

.c.po:
	$(CC) $(CFLAGS) -fPIC -shared $(SYSCONF_PREFIX) -c -o $@ $<

install: libdnet.a $(SHAREDLIB)
	install -d $(libprefix)/lib
	install -m 0644 libdnet.a $(libprefix)/lib/libdnet.a
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib/$(SHAREDLIB)
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

	install -d $(manprefix)/man/man3
	install -m 0644 $(MANPAGES3) $(manprefix)/man/man3
	ln -sf dnet_getnode.3 $(manprefix)/man/man3/dnet_nextnode.3
	ln -sf dnet_getnode.3 $(manprefix)/man/man3/dnet_endnode.3

clean:
	rm -f *.a *.o *.po *.so* *~

.SUFFIXES: .po

# DO NOT DELETE

=== librms/Makefile ===
include ../Makefile.common

LIBOBJS=open.o close.o readwrite.o getreply.o parse.o
PICOBJS=open.po close.po readwrite.po getreply.po parse.po
EXAMPLE1OBJS=example.o
EXAMPLE2OBJS=t_example.o

LIBNAME=librms

EXAMPLE1=example
EXAMPLE2=t_example
EXAMPLES=$(EXAMPLE1) $(EXAMPLE2)

SHAREDLIB=$(LIBNAME).so.$(VERSION)
STATICLIB=$(LIBNAME).a
INCLUDEFILES=rms.h fabdef.h rabdef.h

CFLAGS+=-I. -I../include -I../libdap -fdollars-in-identifiers
LDFLAGS+=-Wl,-rpath-link,../libdnet -Wl,-rpath-link,../libdap

all: $(STATICLIB) $(SHAREDLIB) $(EXAMPLES)

$(STATICLIB): $(LIBOBJS)
	ar -rv $@ $^

$(SHAREDLIB): $(PICOBJS)
	$(CXX) $(CXXFLAGS) -shared -o $@ -Wl,-soname=$(LIBNAME).so.$(MAJOR_VERSION) $^ $(LIBS)
	ln -sf $(SHAREDLIB) $(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(LIBNAME).so

$(EXAMPLE1): $(EXAMPLE1OBJS) $(SHAREDLIB)
	$(CC) $(CXXFLAGS) $(LDFLAGS) -o $@ $< -L. -lrms

$(EXAMPLE2): $(EXAMPLE2OBJS) $(SHAREDLIB)
	$(CC) $(CXXFLAGS) $(LDFLAGS) -o $@ $< -L. -lrms

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

.cc.po:
	$(CXX) $(CXXFLAGS) -fPIC -c -o $@ $<

dep depend:	
	$(CC) $(CFLAGS) -MM *.cc *.c >.depend 2>/dev/null

clean:
	rm -f *.o *.po *.bak .depend $(STATICLIB) $(SHAREDLIB) $(LIBNAME).so* $(EXAMPLES)

install:
	install -d $(prefix)/lib
	install -m 0644 $(STRIPBIN) $(SHAREDLIB) $(libprefix)/lib
	install -m 0644 $(STATICLIB) $(libprefix)/lib
	install -d $(prefix)/include
	install -m 0644 $(INCLUDEFILES) $(libprefix)/include
	ln -sf $(SHAREDLIB) $(libprefix)/lib/$(LIBNAME).so.$(MAJOR_VERSION)
	ln -sf $(LIBNAME).so.$(MAJOR_VERSION) $(libprefix)/lib/$(LIBNAME).so

.SUFFIXES: .po

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
dnprogs (2.39.2) unstable; urgency=low

  * Fix package building with new dpkg-shlibdeps
    Closes: #453786

 -- Patrick Caulfield <patrick@debian.org>  Fri, 07 Dec 2007 11:02:10 +0000

dnprogs (2.39.1) unstable; urgency=low

  * Honour DEB_BUILD_OPTIONS=nostrip
    Closes: #436773

 -- Patrick Caulfield <patrick@debian.org>  Sat, 11 Aug 2007 11:11:38 +0100

## dnprogs 2.43.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
 	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
-	multinet scripts
+	multinet dapfs scripts
 
 all: 	
 	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done
@@ -32,6 +32,9 @@
 	rm -f debian/*~
 	rm -rf rpmbuild
 	rm -rf RPMS
+	rm -rf SOURCES
+	rm -rf SRPMS
+	rm -rf BUILD
 	rm -f .rpm*
 	rm -f build
 	rm -f core
@@ -43,6 +46,7 @@
 # Make the distribution tar file
 #
 dist:	
+	cp debian/changelog NEWS
 	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
 	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
 	if [ ! -d ../$(PKGNAME)-$(VERSION) ]; then cd ..; ln -s $(PKGNAME) $(PKGNAME)-$(VERSION); fi
@@ -62,8 +66,8 @@
 #
 # Make RPM package for Red Hat systems.
 #
-rpm:
-	rm -rf rpmbuild BUILD RPMS
+rpm:	
+	rm -rf rpmbuild BUILD RPMS SOURCES
 	make clean
 	echo "%_topdir `pwd`" > .rpmmacros
 	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
@@ -72,6 +76,8 @@
 	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
 	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
 	make dist
+	mkdir SOURCES SRPMS
+	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz SOURCES
 	install -d rpmbuild/etc/rc.d/init.d
 	install -d rpmbuild/usr/doc
 	rm rpmbuild/usr/share/man/man1/dntype.1
@@ -95,9 +101,10 @@
 	    -e's@%%CONFPREFIX%%@/@g'                                    \
 	   < rpm.spec >$(PKGNAME).spec
 	mkdir -p BUILD RPMS/$(ARCH)
-	cp README NEWS Documentation/*.README BUILD
+	cp README Documentation/*.README BUILD
+	cp debian/changelog BUILD/NEWS
 	cp libvaxdata/libvaxdata.pdf BUILD
-	rpmbuild -bb --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
+	rpmbuild -ba --target $(ARCH) --buildroot `pwd`/rpmbuild -v --rcfile .rpmrc $(PKGNAME).spec
 	rm -f $(PKGNAME).spec .rpmrc .rpmmacros
 
 #
@@ -105,8 +112,7 @@
 #
 deb:
 	rm -f Documentation/*~ Documentation/*.bak
-	dpkg-buildpackage -rfakeroot
-
+	dpkg-buildpackage -rfakeroot 
 #
 # Dummy rule for sub-directories
 #

=== apps/Makefile ===
--- 
+++ 
@@ -12,24 +12,18 @@
 PROG2OBJS = sethost.o 
 PROG4OBJS = dnping.o
 PROG5OBJS = ctermd.o
-PROG6OBJS = dnmount.o
 PROG7OBJS = rmtermd.o
 
 PROG1 = startnet
 PROG2 = sethost
 PROG4 = dnping
 PROG5 = ctermd
-PROG6 = dnmount
 PROG7 = rmtermd
 MANPAGES1 = sethost.1 dnping.1
 MANPAGES5 = decnet.conf.5
 MANPAGES8 = ctermd.8 rmtermd.8 setether.8
 
 ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
-ifeq (/usr/include/linux/dap_fs.h,$(wildcard /usr/include/linux/dap_fs.h))
-ALLPROGS += $(PROG6)
-MANPAGES8 += dnmount.8
-endif
 
 all: $(ALLPROGS)
 
@@ -48,9 +42,6 @@
 $(PROG5): $(PROG5OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
 	$(CC) -o $@ $(CFLAGS) $(PROG5OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)
 
-$(PROG6): $(PROG6OBJS) $(DEPLIBDNET)
-	$(CC) -o $@ $(CFLAGS) $(PROG6OBJS) $(LIBDNET)
-
 $(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
 	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)
 
@@ -58,7 +49,7 @@
 	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null
 
 clean:
-	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG6) $(PROG7) \
+	rm -f $(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) \
 	*.o *.a *.so *~ .depend
 
 install:
@@ -72,7 +63,6 @@
 	install -m 0755 $(STRIPBIN) $(PROG4) $(prefix)/bin
 	install -m 0755 $(STRIPBIN) $(PROG5) $(prefix)/sbin
 	install -m 0700 setether.sh $(prefix)/sbin/setether
-	if [ -f $(PROG6) ]; then install -m 0750 $(STRIPBIN) $(PROG6) $(prefix)/sbin; fi
 	install -m 0755 $(STRIPBIN) $(PROG7) $(prefix)/sbin
 	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
 	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5

=== dapfs/Makefile ===
# Makefile for dapfs

include ../Makefile.common

PROG1=dapfs

MANPAGES=mount.dapfs.8

PROG1OBJS=dapfs.o dapfs_dap.o filenames.o kfifo.o

all: $(PROG1)

CFLAGS=-I../include -I ../librms -Wall $(DFLAGS) -fdollars-in-identifiers

$(PROG1): $(PROG1OBJS) $(DEPLIBS)
	g++ -o$(PROG1) $(LDFLAGS) $(PROG1OBJS) $(LIBDAP) -L../librms -lrms $(LIBDNET) -lfuse

install:
	install -d $(rootprefix)/sbin
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) $(PROG1) $(rootprefix)/sbin/mount.dapfs
	install -m 0644 $(MANPAGES) $(manprefix)/man/man8

dep depend:	
	$(CXX) $(CXXFLAGS) -MM *.cc >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnlogin/Makefile ===
# Makefile for dnlogin

include ../Makefile.common

PROG1=dnlogin

MANPAGES=dnlogin.1

PROG1OBJS=dnlogin.o found.o cterm.o tty.o

CFLAGS+=-funsigned-char -Wall

CFLAGS+=-g
#CFLAGS+=-O2

all: $(PROG1)

$(PROG1): $(PROG1OBJS) tty.h dnlogin.h $(DEPLIBDNET)
	$(CC) $(LDFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man1
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/bin
	install -m 0644 $(MANPAGES) $(manprefix)/man/man1

dep depend:
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) *.o *.bak .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== dnroute/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 all: $(DNROUTE)
 
 $(DNROUTE): get_neigh.c send_route.c routing_msg.c csum.c hash.c netlink/libnetlink.a
-	$(CC) $(CFLAGS) -o $@ $^ -L../libdnet -Lnetlink -ldnet -lnetlink
+	$(CC) $(CFLAGS) -o $@ $^ -Lnetlink -lnetlink $(LIBDNET)
 
 netlink/libnetlink.a:
 	$(MAKE) -C netlink

=== libdaemon/Makefile ===
--- 
+++ 
@@ -5,8 +5,10 @@
 MANPAGES3=dnet_daemon.3
 
 LIBNAME=libdnet_daemon
+LIB_MINOR_VERSION=43.0
+LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
-SHAREDLIB=$(LIBNAME).so.$(VERSION)
+SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
 STATICLIB=$(LIBNAME).a

=== libdap/Makefile ===
--- 
+++ 
@@ -4,8 +4,10 @@
 PICOBJS=connection.po protocol.po vaxcrc.po logging.po
 
 LIBNAME=libdap
+LIB_MINOR_VERSION=43.0
+LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
-SHAREDLIB=$(LIBNAME).so.$(VERSION)
+SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
 STATICLIB=$(LIBNAME).a
 
 CXXFLAGS+=-Wno-format-y2k

=== libdnet/Makefile ===
--- 
+++ 
@@ -19,7 +19,10 @@
 	dnet_recv.po dnet_eof.po
 
 LIBNAME=libdnet
-SHAREDLIB=$(LIBNAME).so.$(VERSION)
+LIB_MINOR_VERSION=43.0
+LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
+
+SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)
 
 all:  libdnet.a $(SHAREDLIB)

=== libvaxdata/Makefile ===
include ../Makefile.common

ARCH=$(shell uname -m)

all:
	cd linux; make -f makefile.gcc

clean:
	cd linux; make -f makefile.gcc clean

install:
	install -d $(prefix)/include
	install -m 0644 src/convert_vax_data.h $(prefix)/include
	install -d $(prefix)/lib
	install -m0644 linux/$(ARCH)/libvaxdata.a $(libprefix)/lib

=== mail/Makefile ===
# Makefile for mail progs

include ../Makefile.common

PROG1=vmsmaild
PROG2=sendvmsmail

UUDIR=uulib
UULIB=$(UUDIR)/libuu.a
LIBUU=$(UULIB)

MANPAGES5=vmsmail.conf.5
MANPAGES8=vmsmaild.8 sendvmsmail.8

PROG1OBJS=vmsmaild.o receive.o configfile.o
PROG2OBJS=sendvmsmail.o configfile.o

CDEFS+=-I$(UUDIR) -DPROTOTYPES
CFLAGS+=-fdollars-in-identifiers

all: $(UULIB) $(PROG1) $(PROG2)

$(UULIB): 
	make -C $(UUDIR)

.c.o:
	$(CC) $(CFLAGS) $(SYSCONF_PREFIX) -c -o $@ $<

$(PROG1): $(PROG1OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG1OBJS) $(LIBDNET) $(LIBUU) $(LIBDAEMON)

$(PROG2): $(PROG2OBJS) $(DEPLIBDNET) $(UULIB)
	$(CC) $(CFLAGS) -o $@ $(PROG2OBJS) $(LIBDNET) $(LIBUU)

install:
	install -d $(prefix)/bin
	install -d $(manprefix)/man/man5
	install -d $(manprefix)/man/man8
	install -m 0755 $(STRIPBIN) $(PROG1) $(prefix)/sbin
	install -m 0755 $(STRIPBIN) $(PROG2) $(prefix)/sbin
	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8

dep depend:	
	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null

clean:
	rm -f $(PROG1) $(PROG2) *.o *.bak .depend
	make -C $(UUDIR) clean


ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
dnprogs (2.43.2) unstable; urgency=low

  * Tidy soname handling on shared libraries
  * Fix compiling dnroute with new kernel headers
    Closes: #479081

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 04 May 2008 15:44:43 +0100

dnprogs (2.43.1) unstable; urgency=low

  * add -fdollars-in-identifiers to dapfs build, so it compiles on ARM.
    Closes: #478750

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 01 May 2008 08:26:56 +0100

dnprogs (2.43) unstable; urgency=low

  * dapfs: fix editor access.
  * dapfs: fix readdir so attributes don't get mixed up. fixes "find"
  * dndir: fix readdir
  * librms: return something(anything!) in errno when open fails.

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Tue, 29 Apr 2008 13:00:11 +0100

dnprogs (2.42) unstable; urgency=low

  * More work on dapfs. Fix crash when reading long files
  * add debian/compat to get rid of debian build warnings, and error (I hope)
    Closes: #475196

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 10 Apr 2008 14:18:34 +0100

dnprogs (2.41-1) unstable; urgency=low

  * Fix build of dapfs (again)
    Closes: #473934

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Wed, 02 Apr 2008 13:12:29 +0100

dnprogs (2.41) unstable; urgency=low

  * Many fixes to dapfs, thanks for Andrew Gaffney for testing.
  * Fix building of dapfs on systems that didn't have libdap installed.
    Closes: #473086

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 31 Mar 2008 08:42:42 +0100

dnprogs (2.40.1) unstable; urgency=low

  * Fix includes for dapfs
    Closes: #472457

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 24 Mar 2008 12:54:33 +0000

dnprogs (2.40) unstable; urgency=low

  * Lots of fixes and improvements to dapfs
  * Include dapfs dinary
  * Allow rms_read to return empty records
  * Fix some man page bugs
  * Change maintainer's name

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 10 Mar 2008 11:01:44 +0000

=== debian/control ===
Source: dnprogs
Section: net
Priority: extra
Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
Build-Depends: debhelper(>= 4.1.16), libncurses5-dev, libfuse-dev
Standards-Version: 3.5.6

Package: dnet-common
Architecture: all
Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils
Priority: extra
Section: net
Conflicts: dnprogs
Suggests: iproute, kernel-image-2.4
Description: Base package for Linux DECnet
 This is the base package for Linux DECnet. It contains the necessary
 configuration files and a script to set up the MAC address of your
 ethernet card(s) at boot-up.
 .
 You will also need to be running a 2.4+ kernel and have DECnet either
 built as a module or compiled into the kernel.
 .
 To do useful work with DECnet you will need the libdnet package and
 probably also dnet-progs.

Package: dnet-progs
Architecture: any
Depends: dnet-common(>=${Source-Version}), libdnet(>=${Source-Version}), ${shlibs:Depends}
Priority: extra
Section: net
Description: DECnet user programs and daemons
 These tools are the application layer interface for DECnet on Linux systems.
 They provide file/terminal access facilities between OpenVMS and Linux and
 remote execution of commands.
 Also included is a Linux version of the VMS "Phone" utility and a VMSMail
 to SMTP gateway.

Package: libdnet
Architecture: any
Depends: ${shlibs:Depends}
Recommends: dnet-common(>=${Source-Version})
Priority: extra
Section: libs
Description: DECnet Libraries
 This package contains the libraries necessary for a functioning DECnet
 system. Most DECnet programs require these libraries to be present on
 the system. The libraries are:
 libdnet        - the basic DECnet API as featured on Ultrix(R) systems
 libdnet_daemon - useful calls for writing DECnet daemons
 libdap         - DAP (Data Access Protocol) C++ classes
 librms         - High level library for programmatic access VMS files
                  from Linux.
 .
 If you're looking for libdnet, the "dumb" networking library from
 libdnet.sf.net by Dug Song then you should install libdumbnet instead.
 Sorry for any confusion caused!

Package: libdnet-dev
Architecture: any
Depends: libdnet(>=${Source-Version})
Priority: extra
Section: libdevel
Description: DECnet development libraries & Headers
 Theses are the development libraries for Linux DECnet. This package contains
 the static libraries, header files and man pages for DECnet development
 on Linux.

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(checkdir)

	make prefix=/usr RELEASE=true
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po` debian/files* core
	-rm -f debian/*substvars
	dh_clean -k

binary-indep: checkroot build
	$(checkdir)
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/dnet-common
	mkdir -p debian/tmp/sbin
	echo "alias net-pf-12 decnet" > debian/tmp/etc/modutils/decnet
	echo '# DNET_INTERFACES specifies the names of ethernet interfaces whose' >> debian/tmp/etc/default/decnet
	echo '# MAC address is to be set to the DECnet node address' >> debian/tmp/etc/default/decnet
	echo "DNET_INTERFACES=\"all\"" >> debian/tmp/etc/default/decnet
	echo '# DNET_DAEMONS lists the daemons to start when dnet-progs is installed.' >> debian/tmp/etc/default/decnet
	echo "#" >> debian/tmp/etc/default/decnet
	echo "DNET_DAEMONS=\"dnetd phoned\"" >> debian/tmp/etc/default/decnet
	echo "dnroute_FLAGS=\"-v -2\"" >> debian/tmp/etc/default/decnet
	echo "# The following two lines enable routing, note that if you are" >> debian/tmp/etc/default/decnet
	echo "# being a router, then add dnroute to the DNET_DAEMONS too" >> debian/tmp/etc/default/decnet
	echo "#ROUTING=1" >> debian/tmp/etc/default/decnet
	echo "PRIORITY=32" >> debian/tmp/etc/default/decnet
	cp README debian/tmp/usr/share/doc/dnet-common
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-common
	cp debian/dnet-common.README debian/tmp/usr/share/doc/dnet-common/README.Debian
	cp apps/decnet.conf debian/tmp/usr/share/doc/dnet-common/decnet.conf.sample
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	install -m755 apps/setether.sh debian/tmp/sbin/setether
	dh_installdirs -pdnet-common
	dh_installchangelogs  -pdnet-common
	dh_installdocs  -pdnet-common
	dh_link  -pdnet-common
	dh_installdebconf  -pdnet-common
	dh_installinit  -pdnet-common  --init-script=decnet --update-rcd-params="start\ 39\ S\ .\ \ stop\ 11\ 1\ ."
	dh_strip  -pdnet-common
	dh_movefiles  -pdnet-common
	dh_compress  -pdnet-common
	dh_fixperms  -pdnet-common
	dh_makeshlibs  -pdnet-common
	dh_shlibdeps  -pdnet-common
	dh_gencontrol  -pdnet-common
	dh_installdeb  -pdnet-common
	dh_md5sums  -pdnet-common
	dh_builddeb  -pdnet-common

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ! -name po`
	install -d debian/tmp
	mkdir -p debian/tmp/etc/modutils
	mkdir -p debian/tmp/etc/default
	mkdir -p debian/tmp/usr/share/doc/libdnet
	mkdir -p debian/tmp/usr/share/doc/libdnet-dev
	mkdir -p debian/tmp/usr/share/doc/dnet-progs
	mkdir -p debian/tmp/sbin
	cp README debian/tmp/usr/share/doc/libdnet
	cp README debian/tmp/usr/share/doc/dnet-progs
	cp README debian/tmp/usr/share/doc/libdnet-dev
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet
	cp Documentation/*README debian/tmp/usr/share/doc/dnet-progs
	cp Documentation/*README debian/tmp/usr/share/doc/libdnet-dev
	cp libvaxdata/*pdf debian/tmp/usr/share/doc/libdnet-dev
	make install DESTDIR=`pwd`/debian/tmp MAKEDEB=true RELEASE=true
	dh_installdirs -Ndnet-common
	dh_installchangelogs -Ndnet-common
	dh_installdocs -Ndnet-common
	dh_link -Ndnet-common
	dh_installdebconf -Ndnet-common
	dh_installinit  -pdnet-progs  --init-script=dnet-progs
	dh_strip -Ndnet-common
	dh_movefiles -Ndnet-common
	dh_compress -Ndnet-common
	dh_fixperms -Ndnet-common
	dh_makeshlibs -Ndnet-common
	dh_shlibdeps -Ndnet-common
	dh_gencontrol -Ndnet-common

	dh_installdeb -Ndnet-common
	dh_md5sums -Ndnet-common
	dh_builddeb -Ndnet-common


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dnprogs 2.48.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,12 @@
 
 SUBDIRS=include libdnet libdaemon libdap librms fal dndir dnsubmit dndel \
 	dncopy apps dntask dnlogin mail phone dnetd libvaxdata dnroute \
-	multinet dapfs scripts
+	nml multinet scripts \
+	contrib/ph3-der-loewe
+
+ifneq ($(wildcard /usr/include/fuse.h),)
+SUBDIRS+=dapfs
+endif
 
 all: 	
 	@set -e; for i in $(SUBDIRS); do make -C $$i $@ ; done
@@ -45,7 +50,7 @@
 #
 # Make the distribution tar file
 #
-dist:	
+dist:	clean
 	cp debian/changelog NEWS
 	for i in $(SUBDIRS); do cd $$i; rm -f .depend; cd ..; done
 	if [ -L ../$(PKGNAME)-$(VERSION) ]; then rm ../$(PKGNAME)-$(VERSION); fi
@@ -69,13 +74,13 @@
 rpm:	
 	rm -rf rpmbuild BUILD RPMS SOURCES
 	make clean
+	make dist
 	echo "%_topdir `pwd`" > .rpmmacros
 	echo "`rpm --showrc|grep \^macrofiles`:`pwd`/.rpmmacros" >.rpmrc
 	make prefix=/usr RELEASE=true -j
 	make DESTDIR=`pwd`/rpmbuild RELEASE=true install
 	find `pwd`/rpmbuild/usr/share/man/ -type f|xargs gzip -9
 	ln -sf libdnet.so.2 rpmbuild/usr/lib/libdnet.so.1
-	make dist
 	mkdir SOURCES SRPMS
 	cp /var/tmp/$(PKGNAME)-$(VERSION).tar.gz SOURCES
 	install -d rpmbuild/etc/rc.d/init.d
@@ -86,12 +91,14 @@
 	rm rpmbuild/usr/share/man/man3/dnet_reject.3
 	rm rpmbuild/usr/share/man/man3/dnet_endnode.3
 	rm rpmbuild/usr/share/man/man3/dnet_nextnode.3
+	rm rpmbuild/usr/share/man/man8/dneigh.8
 	ln -s dncopy.1.gz rpmbuild/usr/share/man/man1/dntype.1.gz
 	ln -s dnsubmit.1.gz rpmbuild/usr/share/man/man1/dnprint.1.gz
 	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_accept.3.gz
 	ln -s dnet_daemon.3.gz rpmbuild/usr/share/man/man3/dnet_reject.3.gz
 	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_endnode.3.gz
 	ln -s dnet_getnode.3.gz rpmbuild/usr/share/man/man3/dnet_nextnode.3.gz
+	ln -s dnetinfo.8.gz rpmbuild/usr/share/man/man8/dneigh.8.gz
 	sed -e's@/usr/local@/usr@g' < scripts/decnet.sh >rpmbuild/etc/rc.d/init.d/decnet
 	sed -e's/%%PACKAGENAME%%/$(PKGNAME)/g'                          \
 	    -e's/%%VERSION%%/$(VERSION)/g'                              \

=== libdap/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PICOBJS=connection.po protocol.po vaxcrc.po logging.po
 
 LIBNAME=libdap
-LIB_MINOR_VERSION=43.0
+LIB_MINOR_VERSION=44.0
 LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)

=== debian/changelog ===
dnprogs (2.48.1) unstable; urgency=low

  * Add Swedish debconf translation
    Closes: #508755

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 27 Oct 2008 09:48:13 +0000
	

dnprogs (2.48) unstable; urgency=low

  * Fix crash caused by unitialised variable in dncopynodes.
  * Add LDIF output support to dncopynodes
  * More states are now decoded by dnetstat
  * Add nss support to libdnet so you can look up DECnet nodes & objects in
    NIS or LDAP etc
  * Made getnodename() read from decnet.conf rather than the kernel
  * Fix fd leak in getnodebyaddr
  * dnroute no longer ignores long routing messages
  * dnroute now writes a pidfile
  * Improve dnroute logging when -n is specified (it's now useful!)
  * dnroute -n now doesn't send routing messages
  * dnroute now honours SYSCONF_PREFIX for dnroute.conf
  * dnetinfo no longer shows the local area as under manual control
  * Replaced dnetinfo with a program
  * NML now also responds to "list known objects"
  * Add connect timeout to most programs
  * Don't build dapfs if FUSE is not installed (Larry Baker)
  * Look for libcrypt in /lib and /usr/lib (Larry Baker)

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 27 Oct 2008 09:48:13 +0000

dnprogs (2.47) unstable; urgency=low

  * Fix libdnet_daemon so that dnet_accept & dnet_reject work on
    big-endian systems
  * nml now shows number of active links with nodes list
  * nml now supports "show known links" & "show known objects"
  * dnetstat shows object names instead of numbers

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 22 Sep 2008 09:23:53 +0100

dnprogs (2.46) unstable; urgency=low

  * Add 'dnetnml' Network Management Listener daemon
  * Add dnetcat & dnetstat programs
    thanks to Philipp 'ph3-der-loewe' Schafft
  * Executables are now correctly stripped by dh_strip

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 07 Sep 2008 13:48:58 +0100

dnprogs (2.45) unstable; urgency=low

  * Make multinet daemon fork into the background
  * Fix dnetinfo so it conforms to the man page
  * Fix crash in dnroute daemon

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sun, 24 Aug 2008 13:41:08 +0100

dnprogs (2.44) unstable; urgency=low

  * Fix typo in man page for sendvmsmail
    Closes: #495513
  * Some multinet fixes
  * Add SIGHUP feature to multinet
  * Fix copyright information

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sat, 23 Aug 2008 14:18:19 +0100

## dnprogs 2.49ubuntu1

=== apps/Makefile ===
--- 
+++ 
@@ -13,17 +13,19 @@
 PROG4OBJS = dnping.o
 PROG5OBJS = ctermd.o
 PROG7OBJS = rmtermd.o
+PROG8OBJS = copynodes.o
 
 PROG1 = startnet
 PROG2 = sethost
 PROG4 = dnping
 PROG5 = ctermd
 PROG7 = rmtermd
+PROG8 = dncopynodes
 MANPAGES1 = sethost.1 dnping.1
 MANPAGES5 = decnet.conf.5
-MANPAGES8 = ctermd.8 rmtermd.8 setether.8
+MANPAGES8 = ctermd.8 rmtermd.8 setether.8 dncopynodes.8
 
-ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) 
+ALLPROGS=$(PROG1) $(PROG2) $(PROG4) $(PROG5) $(PROG7) $(PROG8)
 
 all: $(ALLPROGS)
 
@@ -45,6 +47,10 @@
 $(PROG7): $(PROG7OBJS) $(DEPLIBDNET) $(DEPLIBDAEMON)
 	$(CC) -o $@ $(CFLAGS) $(PROG7OBJS) $(LIBDAEMON) $(LIBDNET) $(PTSLIBS)
 
+$(PROG8): $(PROG8OBJS) $(DEPLIBDNET)
+	$(CC) -o $@ $(CFLAGS) $(PROG8OBJS) $(LIBDNET)
+
+
 dep:	
 	$(CC) $(CFLAGS) -MM *.c >.depend 2>/dev/null
 
@@ -64,6 +70,7 @@
 	install -m 0755 $(STRIPBIN) $(PROG5) $(prefix)/sbin
 	install -m 0700 setether.sh $(prefix)/sbin/setether
 	install -m 0755 $(STRIPBIN) $(PROG7) $(prefix)/sbin
+	install -m 0755 $(STRIPBIN) $(PROG8) $(prefix)/sbin
 	install -m 0644 $(MANPAGES1) $(manprefix)/man/man1
 	install -m 0644 $(MANPAGES5) $(manprefix)/man/man5
 	install -m 0644 $(MANPAGES8) $(manprefix)/man/man8

=== libdap/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PICOBJS=connection.po protocol.po vaxcrc.po logging.po
 
 LIBNAME=libdap
-LIB_MINOR_VERSION=44.0
+LIB_MINOR_VERSION=45.0
 LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)

=== libdnet/Makefile ===
--- 
+++ 
@@ -12,14 +12,14 @@
 LIBOBJS :=dnet_htoa.o dnet_ntoa.o dnet_addr.o dnet_conn.o getnodeadd.o \
 	getnodebyname.o getnodebyaddr.o setnodeent.o getexecdev.o \
 	getnodename.o setnodename.o dnet_getnode.o dnet_pton.o dnet_ntop.o \
-	dnet_recv.o dnet_eof.o
+	dnet_recv.o dnet_eof.o getobjectbyX.o
 PICOBJS:=dnet_htoa.po dnet_ntoa.po dnet_addr.po dnet_conn.po getnodeadd.po \
 	getnodebyname.po getnodebyaddr.po setnodeent.po getexecdev.po \
 	getnodename.po setnodename.po dnet_getnode.po dnet_pton.po dnet_ntop.po\
-	dnet_recv.po dnet_eof.po
+	dnet_recv.po dnet_eof.po getobjectbyX.po
 
 LIBNAME=libdnet
-LIB_MINOR_VERSION=43.0
+LIB_MINOR_VERSION=43.1
 LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)

=== debian/changelog ===
dnprogs (2.49ubuntu1) karmic; urgency=low

  * dncopy/unixfile.cc: remove conflicting declaration of basename()
    (LP: #435071).

 -- Ilya Barygin <barygin@gmail.com>  Wed, 23 Sep 2009 11:17:02 +0400

dnprogs (2.49) unstable; urgency=low

  * Increase kernel socket buffer size in libdap so it matches the block
    size we are using.

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon,  6 Jan 2009 09:02:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
 Build-Depends: debhelper(>= 4.1.16), libncurses5-dev, libfuse-dev
 Standards-Version: 3.5.6

## dnprogs 2.51

=== libdnet/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dnet_recv.po dnet_eof.po getobjectbyX.po
 
 LIBNAME=libdnet
-LIB_MINOR_VERSION=43.1
+LIB_MINOR_VERSION=43.2
 LIB_VERSION=$(MAJOR_VERSION).$(LIB_MINOR_VERSION)
 
 SHAREDLIB=$(LIBNAME).so.$(LIB_VERSION)

=== debian/changelog ===
dnprogs (2.51) unstable; urgency=low

  * Fix some strict-aliasing warnings
    Closes: #576373
  * Fix some lintian errors (thanks to ph3-der-loewe)
  * Don't print errors if decnet.conf doesn't exist

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Thu, 29 Apr 2010 09:29:40 +0100

dnprogs (2.50.1) unstable; urgency=low

  * Remove dncopynodes binary from tarball

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Mon, 12 Oct 2009 10:12:34 +0000

dnprogs (2.50) unstable; urgency=low

  * Fix check for /etc/default/decnet before sourcing it
  * Fix LSB sections of Deban init scripts
  * Don't suggest linux-kernel-2.4
  * Rename libdap to libdnet-dap
  * Include Debian Russian po-debconf translation
    Closes: #548760
  * Remove definition of basename
    Closes: #548043

 -- Christine Caulfield <Christine.Caulfield@googlemail.com>  Sat,  3 Oct 2009 14:03:23 +0000
  

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: dnprogs
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
+Maintainer: Christine Caulfield <christine.caulfield@googlemail.com>
 Build-Depends: debhelper(>= 4.1.16), libncurses5-dev, libfuse-dev
 Standards-Version: 3.5.6
 
 Package: dnet-common
 Architecture: all
-Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils
+Depends: debconf(>=0.5.00) | debconf-2.0, debianutils(>=1.13), module-init-tools | modutils, ${misc:Depends}
 Priority: extra
 Section: net
 Conflicts: dnprogs
-Suggests: iproute, kernel-image-2.4
+Suggests: iproute
 Description: Base package for Linux DECnet
  This is the base package for Linux DECnet. It contains the necessary
  configuration files and a script to set up the MAC address of your
@@ -26,7 +25,7 @@
 
 Package: dnet-progs
 Architecture: any
-Depends: dnet-common(>=${Source-Version}), libdnet(>=${Source-Version}), ${shlibs:Depends}
+Depends: dnet-common(>=${binary:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Priority: extra
 Section: net
 Description: DECnet user programs and daemons
@@ -39,7 +38,7 @@
 Package: libdnet
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: dnet-common(>=${Source-Version})
+Recommends: dnet-common(>=${binary:Version}), ${misc:Depends}
 Priority: extra
 Section: libs
 Description: DECnet Libraries
@@ -58,7 +57,7 @@
 
 Package: libdnet-dev
 Architecture: any
-Depends: libdnet(>=${Source-Version})
+Depends: libdnet(>=${binary:Version}), ${misc:Depends}
 Priority: extra
 Section: libdevel
 Description: DECnet development libraries & Headers
